<?php
include('is_logged.php');
	require_once ("../config/db.php");
	require_once ("../config/conexion.php");

	$session_id = session_id();
	$almacen = $_SESSION["tie"];

	$sql_count=mysqli_query($con,"select * from tmp2 where session_id='".$session_id."'") or die(mysqli_error($con));
	$count=mysqli_num_rows($sql_count);
	if ($count==0)
	{
	echo "<script>alert('No hay productos agregados a la Cotizacion')</script>";
	echo "<script>window.history.back(1);</script>";
	exit;
	}
	if($_GET['id_cliente']!="")
	{
	$id_cliente=intval($_GET['id_cliente']);
	$id_vendedor=intval($_GET['id_vendedor']);
	$condiciones="Vigente";
	$numero_proforma=$_GET['num_pro'];
		
    $sql_cliente=mysqli_query($con,"select * from clientes where id_cliente='$id_cliente'");
				$rw_cliente=mysqli_fetch_array($sql_cliente);
				$nombre=$rw_cliente['nombre_cliente'];
				$direccion=$rw_cliente['direccion_cliente'];
				$telefono=$rw_cliente['telefono_cliente'];
				$correo=$rw_cliente['email_cliente'];
				$rif=$rw_cliente['rif_cliente'];
				$tipo=$rw_cliente['organizacion_cliente'];
				
$nums=1;
$sumador_total=0;

$sql2=mysqli_query($con, "select * from products, tmp2 where products.id_producto=tmp2.id_producto and tmp2.session_id='".$session_id."'") or die(mysqli_error($con));
while ($row=mysqli_fetch_array($sql2))
	{
	$id_tmp2=$row["id_tmp2"];
	$id_producto=$row["id_producto"];
	$codigo_producto=$row['codigo_producto'];
	$cantidad=$row['cantidad_tmp2'];
	$nombre_producto=$row['nombre_producto'];
	$precio_venta=$row['precio_tmp2'];
	$precio_venta_f=number_format($precio_venta,1);//Formateo variables
	$precio_venta_r=str_replace(",","",$precio_venta_f);//Reemplazo las comas
	$precio_total=$precio_venta_r*$cantidad;
	$precio_total_f=number_format($precio_total,1);//Precio total formateado
	$precio_total_r=str_replace(",","",$precio_total_f);//Reemplazo las comas
	$sumador_total+=$precio_total_r;//Sumador
	if ($nums%2==0){
		$clase="clouds";
	} else {
		$clase="silver";
	}
	
	//Insert en la tabla detalle_cotizacion
	$insert_detail=mysqli_query($con, "INSERT INTO detalle_proforma VALUES ('','$numero_proforma','$id_producto','$cantidad','$precio_venta_r')") or die(mysqli_error($con));
	
	$nums++;
	}
	$subtotal=number_format($sumador_total,1,'.','');
	//$total_iva=($subtotal * TAX )/100;
	//$total_iva=number_format($total_iva,2,'.','');
	//$total_proforma=$subtotal+$total_iva;
	$total_proforma=$subtotal;
	
	$date=date("Y-m-d H:i:s");
$insert=mysqli_query($con,"INSERT INTO proformas VALUES ('','$numero_proforma','$date','$id_cliente','$id_vendedor','$total_proforma','1','$almacen')") or die(mysqli_error($con));



$delete=mysqli_query($con,"DELETE FROM tmp2 WHERE session_id='".$session_id."'");

echo "<script>alert('Cortizacion Procesada');
window.location='../proformas.php';
</script>";
	}
	else
	{
	echo "<script>alert('Cliente no registrado')</script>";
    echo "<script>window.history.back(1);</script>";	
	}
	